// https://nuxt.com/docs/api/configuration/nuxt-config
import tailwindcss from '@tailwindcss/vite'

export default defineNuxtConfig({
  modules: ['@pinia/nuxt', 'shadcn-nuxt'],
  shadcn: {
    prefix: 'Ui',
  },

  devtools: {
    enabled: true,
  },

  css: ['~/assets/css/main.css'],

  vite: {
    plugins: [tailwindcss()],
  },

  compatibilityDate: '2025-01-15'
});
